## com.ibm.lab.soln.extensionpoint
Class ToolActionsPulldownDelegate

    java.lang.Object
      |
      +--com.ibm.lab.soln.extensionpoint.ToolActionsPulldownDelegate

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IWorkbenchWindowActionDelegate, org.eclipse.ui.IWorkbenchWindowPulldownDelegate

public class ToolActionsPulldownDelegate
extends java.lang.Object
implements org.eclipse.ui.IWorkbenchWindowPulldownDelegate

Creates the menu items for the common tools toolbar pulldown menu. When an item is selected, it invokes the `run()` of the corresponding IToolsAction instance specified on the `<tool action=IToolsAction label="xxx">` tag.

See Also:
  `ExtensionProcessor`, `IToolAction`

Constructor Summary
`ToolActionsPulldownDelegate()`

Method Summary
`void` | `dispose()`
`org.eclipse.swt.widgets.Menu` | `getMenu(org.eclipse.swt.widgets.Control parent)` Returns the menu for this pull down action.
`void` | `init(org.eclipse.ui.IWorkbenchWindow window)`
`void` | `run(org.eclipse.jface.action.IAction action)` Notifies this action delegate that menu pulldown was selected (i.e., not one of its menu item choices).
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolActionsPulldownDelegate

    public ToolActionsPulldownDelegate()

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`

### getMenu

    public org.eclipse.swt.widgets.Menu getMenu(org.eclipse.swt.widgets.Control parent)

  Returns the menu for this pull down action. This method will only be called if the user opens the pull down menu for the action. The menu is disposed after use.

  Specified by:
    `getMenu` in interface `org.eclipse.ui.IWorkbenchWindowPulldownDelegate`
  Returns:
    the menu

### init

    public void init(org.eclipse.ui.IWorkbenchWindow window)

  Specified by:
    `init` in interface `org.eclipse.ui.IWorkbenchWindowActionDelegate`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Notifies this action delegate that menu pulldown was selected (i.e., not one of its menu item choices).

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`